Subject: Re: [Intel-gfx] linux-next: Signed-off-by missing for commit in the drm-intel tree

From: Jani Nikula <[email-masked]>
Date: Wed, 11 Aug 2021 10:16:41 +0300

On Tue, 10 Aug 2021, Daniel Vetter <[email-masked]> wrote:
> On Mon, Aug 09, 2021 at 09:19:39AM -0700, Matt Roper wrote:
>> On Mon, Aug 09, 2021 at 04:05:59PM +0200, Daniel Vetter wrote:
>> > On Fri, Aug 06, 2021 at 09:36:56AM +0300, Joonas Lahtinen wrote:
>> > > Hi Matt,
>> > > 
>> > > Always use the dim tooling when applying patches, it will do the right
>> > > thing with regards to adding the S-o-b.
>> > 
>> > fd.o server rejects any pushes that haven't been done by dim, so how did
>> > this get through?
>> 
>> I definitely used dim for all of these patches, but I'm not sure how I
>> lost my s-o-b on this one.  Maybe when I edited the commit message after
>> 'dim extract-tags' I accidentally deleted an extra line when I removed
>> the extract-tags marker?  It's the only patch where the line is missing,
>> so it's almost certainly human error on my part rather than something
>> dim did wrong.
>
> Yeah that's an expected failure model, and dim is supposed to catch that
> by rechecking for sobs when you push. See dim_push_branch ->
> checkpatch_commit_push_range in dim. So you can hand-edit stuff however
> you want, dim /should/ catch it when pushing. That it didn't is kinda
> confusing and I'd like to know why that slipped through.

One of the failures that happened here was that the commit was part of a
topic branch that was merged and pushed directly. All merges should
happen via pull requests on the list, and applied (preferrably by
maintainers or at least with their acks recorded on the merge) using dim
apply-pull which should also have the checks.

BR,
Jani.

>
>> > Matt, can you pls figure out and type up the patch to
>> > plug that hole?
>> 
>> Are you referring to a patch for dim here?  The i915 patch has already
>> landed, so we can't change its commit message now.
>
> Yeah dim, not drm-intel, that can't be fixed anymore because it's all
> baked in.
> -Daniel
>
>> 
>> 
>> Matt
>> 
>> > 
>> > Thanks, Daniel
>> > 
>> > > 
>> > > Regards, Joonas
>> > > 
>> > > Quoting Stephen Rothwell (2021-07-15 07:18:54)
>> > > > Hi all,
>> > > > 
>> > > > Commit
>> > > > 
>> > > >   db47fe727e1f ("drm/i915/step: s/<platform>_revid_tbl/<platform>_revids")
>> > > > 
>> > > > is missing a Signed-off-by from its committer.
>> > > > 
>> > > > -- 
>> > > > Cheers,
>> > > > Stephen Rothwell
>> > 
>> > -- 
>> > Daniel Vetter
>> > Software Engineer, Intel Corporation
>> > http://blog.ffwll.ch
>> 
>> -- 
>> Matt Roper
>> Graphics Software Engineer
>> VTT-OSGC Platform Enablement
>> Intel Corporation
>> (916) 356-2795

-- 
Jani Nikula, Intel Open Source Graphics Center